Package org.drinkless.tdlib

# Class TdApi.SearchUserByPhoneNumber

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.User>
org.drinkless.tdlib.TdApi.SearchUserByPhoneNumber

Enclosing class:
  `TdApi`

public static class TdApi.SearchUserByPhoneNumber extends TdApi.Function<TdApi.User>
Searches a user by their phone number. Returns a 404 error if the user can't be found.

Returns `User`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `onlyLocal`
  Pass true to get only locally available information without sending network requests.
  `String`
  `phoneNumber`
  Phone number to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchUserByPhoneNumber()`
  Default constructor for a function, which searches a user by their phone number.
  `SearchUserByPhoneNumber(String phoneNumber, boolean onlyLocal)`
  Creates a function, which searches a user by their phone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    Phone number to search for.

  - ### onlyLocal

    public boolean onlyLocal
    Pass true to get only locally available information without sending network requests.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchUserByPhoneNumber

    public SearchUserByPhoneNumber()
    Default constructor for a function, which searches a user by their phone number. Returns a 404 error if the user can't be found.

    Returns `User`

  - ### SearchUserByPhoneNumber

    public SearchUserByPhoneNumber(String phoneNumber, boolean onlyLocal)
    Creates a function, which searches a user by their phone number. Returns a 404 error if the user can't be found.

    Returns `User`

    Parameters:
      `phoneNumber` - Phone number to search for.
      `onlyLocal` - Pass true to get only locally available information without sending network requests.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.User>`
    Returns:
      this.CONSTRUCTOR